- Qt 5.15
- Qt Wayland Compositor
- QML Types
- XdgShellV5 QML Type
- Qt 5.15.19 Reference Documentation

# XdgShellV5 QML Type

Provides an extension for desktop-style user interfaces. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.8

- List of all members, including inherited members

## Signals

- void pong(int serial)
- void xdgPopupCreated(XdgPopupV5 xdgPopup)
- void xdgPopupRequested(WaylandSurface surface, WaylandSurface parent, WaylandSeat seat, point position, WaylandResource resource)
- void xdgSurfaceCreated(XdgSurfaceV5 xdgSurface)
- void xdgSurfaceRequested(WaylandSurface surface, WaylandResource resource)

## Methods

- void ping(WaylandClient client)

## Detailed Description

The XdgShellV5 extension provides a way to associate an XdgSurfaceV5 with a regular Wayland surface. Using the xdg_surface interface, the client can request that the surface is resized, moved, and so on.

XdgShellV5 corresponds to the Wayland interface `xdg_shell`.

To provide the functionality of the shell extension in a compositor, create an instance of the XdgShellV5 component and add it as a child of the compositor:

     import QtWayland.Compositor 1.15

     WaylandCompositor {
         XdgShellV5 {
             // ...
         }
     }

## Signal Documentation

void pong(int serial)

This signal is emitted when the client has responded to a ping event with serial serial.

Note: The corresponding handler is `onPong`.

See also QtWaylandCompositor::XdgShellV5::ping().

void xdgPopupCreated(XdgPopupV5 xdgPopup)

This signal is emitted when the client has created an `xdg_popup`. A common use case is to let the handler of this signal instantiate a ShellSurfaceItem or WaylandQuickItem for displaying xdgPopup in a QtQuick scene.

Note: The corresponding handler is `onXdgPopupCreated`.

void xdgPopupRequested(WaylandSurface surface, WaylandSurface parent, WaylandSeat seat, point position, WaylandResource resource)

This signal is emitted when the client has requested an `xdg_popup` to be associated with surface. The handler for this signal may create the xdg popup for resource and initialize it within the scope of the signal emission. Otherwise an XdgPopupV5 will be created automatically.

The seat is the `wl_seat` that caused the popup to be opened.

position is the desired position of the popup, relative to the parent.

Note: The corresponding handler is `onXdgPopupRequested`.

void xdgSurfaceCreated(XdgSurfaceV5 xdgSurface)

This signal is emitted when the client has created an `xdg_surface`. A common use case is to let the handler of this signal instantiate a ShellSurfaceItem or WaylandQuickItem for displaying xdgSurface in a QtQuick scene.

Note: The corresponding handler is `onXdgSurfaceCreated`.

void xdgSurfaceRequested(WaylandSurface surface, WaylandResource resource)

This signal is emitted when the client has requested an `xdg_surface` to be associated with surface. The handler for this signal may create the shell surface for resource and initialize it within the scope of the signal emission. Otherwise an XdgSurfaceV5 will be created automatically.

Note: The corresponding handler is `onXdgSurfaceRequested`.

## Method Documentation

void ping(WaylandClient client)

Sends a ping event to the client. If the client replies to the event, the pong signal will be emitted.